<?xml version="1.0" ?>
<PluginList>
	
	<Plugin id="Sasha-Oscillator" name="s Oscillator" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"      datatype="bool"  default="1" />
			<Pin name="Waveform"    datatype="enum"  metadata="Saw, Pulse, Tri, Sine" />
			<Pin name="Pitch"       datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Pulse Width" datatype="float" rate="audio" default="0.5" />
			<Pin name="Sync"        datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"       datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Out"         datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-Oscillator polyBLEP" name="s polyBLEP" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"      datatype="bool"  default="1" />
			<Pin name="Waveform"    datatype="enum"  metadata="Saw, Pulse, Tri, Sine" />
			<Pin name="Pitch"       datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Delta Pitch" datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Pulse Width" datatype="float" rate="audio" default="0.5" />
			<Pin name="Trig"        datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"       datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Out"         datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-Oscillator Unison polyBLEP" name="s Unison polyBLEP" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"      datatype="bool"  default="1" />
			<Pin name="Waveform"    datatype="enum"  metadata="Saw, Pulse, Tri, Sine" />
			<Pin name="Voices"      datatype="enum"  metadata="1=1, 2=2, 3=3, 4=4, 5=5, 6=6, 7=7, 8=8, 9=9" default="5" />
			<Pin name="Pitch"       datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Detune"      datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Delta Pitch" datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Pulse Width" datatype="float" rate="audio" default="0.5" />
			<Pin name="Trig"        datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"       datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Out"         datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-Unison" name="s Unison" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Pitch"  datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Voices" datatype="int"   metadata=",, 9, 1"  default="5" />
			<Pin name="Detune" datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Out"    datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>
	
	<Plugin id="Sasha-Oscillator Alpha" name="s Alpha" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"      datatype="bool"  default="1" />
			<Pin name="Waveform"    datatype="enum"  metadata="Saw, Pulse" />
			<Pin name="Pitch M"     datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Pitch S"     datatype="float" rate="audio" metadata=",, 10, 0" default="0.1" />
			<Pin name="Pulse Width" datatype="float" rate="audio" default="0.5" />
			<Pin name="Sync"        datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"       datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Out"         datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-Oscillator DPW" name="s DPW" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"       datatype="bool"  default="1" />
			<Pin name="Waveform"     datatype="enum"  metadata="Saw, Pulse, Tri, Sine" />
			<Pin name="Pitch"        datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Trig"         datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"        datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Pulse Width"  datatype="float" rate="audio" />
			<Pin name="Out"          datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-Oscillator DPW Sync" name="s DPW Sync" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"       datatype="bool"  default="1" />
			<Pin name="Waveform"     datatype="enum"  metadata="Saw, Pulse, Tri, Sine" />
			<Pin name="Pitch"        datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Delta Pitch"  datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Trig"         datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"        datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Pulse Width"  datatype="float" rate="audio" />
			<Pin name="Out"          datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-Sine" name="s Sine" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"     datatype="bool"  default="1" />
			<Pin name="Pitch"      datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Harmonic"   datatype="float" rate="audio" metadata=",, 31, 0" default="0.1" />
			<Pin name="Sync"       datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"      datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Modulation" datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Mod Amount" datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Feedback"   datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Out"        datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-LFO" name="s LFO" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"      datatype="bool"  default="1" />
			<Pin name="Waveform"    datatype="enum"  metadata="Sine-Saw, Tri-Saw, Square-Pulse, Random-Smooth" />
			<Pin name="Pitch"       datatype="float" rate="audio" metadata=",, 0, -10" default="-0.5" />
			<Pin name="Pulse Width" datatype="float" rate="audio" default="0.5" />
			<Pin name="Sync"        datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"       datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Bipolar"     datatype="bool"  default="1" />
			<Pin name="Out"         datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-LFO Simple" name="s LFO Simple" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"      datatype="bool"  default="1" />
			<Pin name="Waveform"    datatype="enum"  metadata="Sine, Tri, Saw, Square, Random" />
			<Pin name="Pitch"       datatype="float" rate="audio" metadata=",, 0, -10" default="-0.5" />
			<Pin name="Sync"        datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"       datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Bipolar"     datatype="bool"  default="1" />
			<Pin name="Out"         datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-LFO Stereo" name="s LFO Stereo" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"      datatype="bool"  default="1" />
			<Pin name="Pitch"       datatype="float" rate="audio" metadata=",, 0, -10" default="-0.5" />
			<Pin name="Sync"        datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase L"     datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Phase R"     datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Bipolar"     datatype="bool"  default="1" />
			<Pin name="L"           datatype="float" rate="audio" direction="out" />
			<Pin name="R"           datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-LFO Triangle" name="s LFO Triangle" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"  datatype="bool"  default="1" />
			<Pin name="Pitch"   datatype="float" rate="audio" metadata=",, 0, -10" default="-0.5" />
			<Pin name="Sync"    datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"   datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Bipolar" datatype="bool"  default="1" />
			<Pin name="Out"     datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-LFO Saw" name="s LFO Saw" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active" datatype="bool"  default="1" />
			<Pin name="Pitch"  datatype="float" rate="audio" />
			<Pin name="Sync"   datatype="float" rate="audio" />
			<Pin name="Phase"  datatype="float" rate="audio" />
			<Pin name="Out"    datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-Noise" name="s Noise" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active" datatype="bool"  default="1" />
			<Pin name="Out"    datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-Phasor" name="s Phasor" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"    datatype="bool"  default="1" />
			<Pin name="Pitch"     datatype="float" rate="audio" metadata=",, 10, 0" default="0.5" />
			<Pin name="Sync"      datatype="float" rate="audio" metadata=",, 5, -5" />
			<Pin name="Phase"     datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Bipolar"   datatype="bool"  default="1"  isMinimised="true"/>
			<Pin name="Increment" datatype="float" rate="audio" direction="out" />
			<Pin name="Phasor"    datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-Anti-Aliasing" name="s Anti-Aliasing" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Waveform"  datatype="enum"  metadata="Saw, Parabola" isMinimised="true"/>
			<Pin name="Increment" datatype="float" rate="audio" />
			<Pin name="Phasor"    datatype="float" rate="audio" />
			<Pin name="Bipolar"   datatype="bool"  default="1"  isMinimised="true"/>
			<Pin name="Out"       datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>

	<Plugin id="Sasha-X-Mod" name="s X-Mod" category="Sasha Modules/Waveform">
		<Audio>
			<Pin name="Active"  datatype="bool"  default="1" />
			<Pin name="kHz"     datatype="float" rate="audio" metadata=",, 20, 0.002" default="0.044" />
			<Pin name="Sync"    datatype="float" rate="audio" />
			<Pin name="Phase"   datatype="float" rate="audio" metadata=",, 10, 0" />
			<Pin name="Out"     datatype="float" rate="audio" direction="out" />
		</Audio>
	</Plugin>
	
</PluginList>
 
